// This program is designed for OKI-H5003 board
// It shows how to test FLASH, DRAM, SRAM

#include <ioml67q5003.h>
#include "system.h"
#include "dram.h"
#include "flash.h"
#include "sram.h"

// simple delay
void Delay (unsigned long a) { while (--a!=0); }

int main()
{

  // Freq init
  FreqInit();
  // System Init
  SysInit();
  // Init DRAM
  DRAM_Init();
  // Init SRAM
  Init_SRAM();
  // Init FLASH
  Flash_Init();


  // DRAM test
  if(DRAM_check()) { /*TEST FAILD*/ }

  // SRAM test
  if(SRAM_check()) { /*TEST FAILD*/ }

  // FLASH test
  if(TestFLASH()) { /*TEST FAILD*/ }

  // loop forever
  while(1);
}
